import type { ValidationError } from '.';
import ValueObject from '.';
export default abstract class StringId extends ValueObject<number | string | null, string, string | null> {
    protected fromInput(): string | null;
    protected toOutput(): string;
    validate(name: string): ValidationError[] | undefined;
    compare(value: this): number;
}
