import type { ValidationError } from '.';
import ValueObject from '.';
export default abstract class Text extends ValueObject<number | string, string> {
    protected fromInput(): string;
    protected getValidationMinLength(): number | undefined;
    protected getValidationMaxLength(): number | undefined;
    validate(name: string): ValidationError[] | undefined;
    compare(value: this): number;
}
