"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const _1 = __importDefault(require("."));
class Flags extends _1.default {
    validate(name) {
        if (!this.flagTypes.includes(this.input)) {
            return [{ name, error: `定義されていないフラグです: ${this.input}` }];
        }
        return undefined;
    }
    compare(value) {
        return this.value.localeCompare(value.value);
    }
}
exports.default = Flags;
//# sourceMappingURL=flags.js.map